<template>
  <button class="edit-btn">
    <font-awesome-icon
      class="icon"
      icon="fa-solid fa-pen"
      @click="onEditHandler"
    />
  </button>
</template>

<script>
export default {
  name: 'todo-edit',
  methods: {
    onEditHandler () {
      this.$emit('click')
    }
  }
}
</script>

<style scoped>
.edit-btn {
  width: 25px;
  height: 25px;
  border: none;
  background-color: transparent;
  cursor: pointer;
}

.icon {
  width: 100%;
  height: 100%;
  color: #D28700FF;
}
</style>
